%define name SDL_image
%define version 1.2.5
%define subrel 1
%define release %mkrel 1
%define lib_name_orig libSDL_image
%define lib_major 1.2
%define lib_name %mklibname %name %lib_major

Summary: Simple DirectMedia Layer - image
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://www.libsdl.org/projects/SDL_image/release/%{name}-%{version}.tar.bz2
Patch0: SDL-cvs-CVE-2007-6697.patch
Patch1: SDL-cvs-CVE-2008-0544.patch
License: LGPL
URL: http://www.libsdl.org/projects/SDL_image/index.html
Group: System/Libraries
BuildRequires: alsa-lib-devel
BuildRequires: XFree86-devel
BuildRequires: esound-devel
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: libtiff-devel
BuildRequires: libSDL-devel >= 1.2.10
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
This is a simple library to load images of various formats as SDL surfaces.
This library currently supports BMP, PPM, PCX, GIF, JPEG, and PNG formats.

This package contains the binary `sdlshow' to test the library.

%package -n %{lib_name}
Summary: Main library for %{name}
Group: System/Libraries
Obsoletes: %{name}
Provides: %{name}

%description -n %{lib_name}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{lib_name}-devel
Summary: Headers for developing programs that will use %{name}
Group: Development/C
Requires: %{lib_name} = %{version}
Requires: libSDL-devel
Provides: %{lib_name_orig}-devel = %{version}-%{release}
Provides: %{name}%{lib_major}-devel = %{version}-%{release}
Obsoletes: %{name}-devel
Provides: %{name}-devel

%description -n %{lib_name}-devel
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%package -n %{lib_name}-test
Summary: Test binary for %{name}
Group: System/Libraries

%description -n %{lib_name}-test
This package contains binary to test the associated library.

%prep
%setup -q
%patch0 -p2 -b .cve-2007-6697
%patch1 -p2 -b .cve-2008-0544

%build
%configure2_5x 	--enable-bmp \
		--enable-gif \
		--enable-jpg \
		--enable-pcx \
		--enable-png \
		--enable-ppm \
		--enable-tif \
		--enable-xpm
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
install -d $RPM_BUILD_ROOT%{_bindir}
install -m755 .libs/showimage $RPM_BUILD_ROOT%{_bindir}/sdlshow

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%files -n %{lib_name}-test
%defattr(-,root,root)
%doc README COPYING
%{_bindir}/sdlshow

%files -n %{lib_name}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/lib*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc README COPYING CHANGES
%{_libdir}/*a
%{_libdir}/lib*.so
%{_includedir}/SDL/*

%changelog
* Thu Feb 07 2008 Vincent Danen <vdanen@mandriva.com> 1.2.5-1.1mdv2007.0
- P0: security fix for CVE-2007-6697
- P1: security fix for CVE-2008-0544

* Sat Jun 24 2006 Gtz Waschk <waschk@mandriva.org> 1.2.5-1mdv2007.0
- bump deps
- new version

* Wed Jun 21 2006 Götz Waschk <waschk@mandriva.org> 1.2.4-4mdk
- Rebuild
- use mkrel

* Mon May 15 2006 Stefan van der Eijk <stefan@eijk.nu> 1.2.4-3mdk
- rebuild for sparc

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.2.4-2mdk
- Rebuild

* Wed Mar 23 2005 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.2.4-1mdk
- Release: 1.2.4.

* Wed Mar 23 2005 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.2.3-4mdk
- Rebuilt.

* Tue Sep  2 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.3-3mdk
- mklibname

* Wed Jul 23 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.2.3-2mdk
- don't rm -rf $RPM_BUILD_ROOT in %%prep
- drop Prefix tag
- use %%make macro

* Tue Jul  8 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.3-1mdk
- new version (and have also the new devel provides btw)

* Sat May 31 2003 Austin Acton <aacton@yorku.ca> 1.2.3-5mdk
- rebuild for rpm-4.2

* Sun Mar 02 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.2.3-4mdk
- Rebuilt against latest libpng & libSDL.

* Mon Jun  3 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.2-3mdk
- recompile against SDL which isn't dependant upon arts/esd

* Tue May 07 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.2-2mdk
- Automated rebuild in gcc3.1 environment

* Mon Apr 29 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.2-1mdk
- new version
- rebuild for new alsa

* Mon Jan 11 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.2.1-1mdk
- bumped to release 1.2.1.
- fixed URL.

* Wed Dec 19 2001 Stefan van der Eijk <stefan@eijk.nu> 1.2.0-4mdk
- fix filelist
- fix Requires on -devel package
- Add Provides for Obsoletes (rpmlint)

* Thu Oct 11 2001 LEnny Cartier <lenny@mandrakesoft.com> 1.2.0-3mdk
- rebuild against libpng3

* Mon Jul 23 2001 Stefan van der Eijk <stefan@eijk.nu> 1.2.0-2mdk
- BuildRequires:	alsa-lib-devel
- Copyright --> License
- Removed BuildRequires:	audiofile-devel zlib-devel

* Mon May 14 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.0-1mdk
- version 1.2.0
- dadouize buildroot

* Fri Mar  9 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.0-4mdk
- fix provides

* Fri Dec  1 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.0-3mdk
- 1.1.0
- better new lib policy, do not generate anymore an ambiguous package
  containing binaries but with the old lib name

* Wed Nov 29 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.10-2mdk
- new lib policy

* Sat Nov  4 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.10-1mdk
- 1.0.10
- macros

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.9-2mdk
- automatically added BuildRequires

* Fri Jul 14 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0.9-1mdk
- updated version.
- added BuildPreReq.

* Fri Jun 23 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.6-1mdk
- v1.0.6

* Tue Apr 11 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.4-2mdk
- added url
- fixed group
- some minor package build fixes
- built against stable SDL version, previous was using 1.1.x devel

* Fri Feb 11 2000 Lenny Cartier <lenny@mandrakesoft.com>
- v1.0.4
- used the specfile provided by Hakan Tandogan <hakan@iconsult.com>

* Tue Jan 18 2000 Hakan Tandogan <hakan@iconsult.com>
- initial spec file
- renamed usr/bin/show to sdlshow because of conflict with mh


